Get a counterparty
Authorization
apiKey x-api-key<token>
Your workspace API key. Create and manage keys in your Fusial workspace
settings. Keys carry scopes of the form resource:action.
In: header
Path Parameters
id*string
The counterparty id.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/counterparties/string"{
"counterparty": {
"id": "string",
"name": "string",
"domain": "string",
"notes": "string",
"relationshipTypes": [
"CUSTOMER"
],
"contractCount": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"contacts": [
{
"id": "string",
"counterpartyId": "string",
"name": "string",
"email": "string",
"isPrimary": true,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"contracts": [
{
"id": "string",
"title": "string",
"type": "NDA",
"ourRole": "COUNTERPARTY",
"status": "DRAFT",
"counterpartyId": "string",
"counterparty": {
"id": "string",
"name": "string"
},
"ownerId": "string",
"owner": {
"id": "string",
"name": "string",
"email": "string"
},
"effectiveDate": "2019-08-24T14:15:22Z",
"executedAt": "2019-08-24T14:15:22Z",
"termMonths": 0,
"autoRenews": true,
"renewalMonths": 0,
"valueCents": "1500000",
"valueCurrency": "USD",
"templateId": "string",
"lastActivityAt": "2019-08-24T14:15:22Z",
"statusChangedAt": "2019-08-24T14:15:22Z",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
]
}
}{
"error": {
"code": "not_found",
"message": "Resource not found."
}
}{
"error": {
"code": "not_found",
"message": "Resource not found."
}
}{
"error": {
"code": "not_found",
"message": "Resource not found."
}
}